package com.cicdi.notify.sms;

import com.cicdi.notify.template.Template;

import java.util.List;
import java.util.Map;

/**
 * @author xueye
 */
public class SmsTemplate implements Template {

    /**
     * 短信文本
     */
    private String text;

    /**
     * 收件人
     */
    private List<String> sendTo;

    public String getTextSms(Map<String, Object> context) {
        // TODO 对模板参数进行处理
//        return ExpressionUtils.analytical(text, context, "spel");
        return text;
    }

    public String[] getSendTo(Map<String, Object> context) {
        // TODO 对收件人参数进行处理
//        return sendTo.stream()
//                .map(str -> ExpressionUtils.analytical(str, context, "spel")).toArray(String[]::new);
        return sendTo.toArray(new String[0]);
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public List<String> getSendTo() {
        return sendTo;
    }

    public void setSendTo(List<String> sendTo) {
        this.sendTo = sendTo;
    }
}
