package com.cicdi.notify.template;

import com.cicdi.notify.NotifyType;
import com.cicdi.notify.Provider;

/**
 * 模板提供商
 *
 * @author xueye
 */
public interface TemplateProvider {

    /**
     * @return 通知类型
     * @see NotifyType
     */
    NotifyType getType();

    /**
     * @return 通知提供商
     */
    Provider getProvider();

    /**
     * @param properties 模板属性
     * @return 模板
     */
    Template createTemplate(TemplateProperties properties);
}
